apiVersion: broker.amq.io/v2alpha3
kind: ActiveMQArtemis
metadata:
  name: ex-aao
  application: ex-aao-app
spec:
  version: 7.7.0
  deploymentPlan:
    size: 1
    image: registry-proxy.engineering.redhat.com/rh-osbs/amq-broker-7-amq-broker-77-openshift:7.7-14
    requireLogin: false
    persistenceEnabled: false
    journalType: nio
    messageMigration: false
    #resources:
    #  limits:
    #    cpu: "500m"
    #    memory: "1024m"
    #  requests:
    #    cpu: "250m"
    #    memory: "512m"
    storage:
      size: "4Gi"
  console:
    expose: true
  acceptors:
    - name: amqp
      protocols: amqp
      port: 5672
      sslEnabled: false
      enabledProtocols: TLSv1,TLSv1.1,TLSv1.2
      needClientAuth: true
      wantClientAuth: true
      verifyHost: true
      sslProvider: JDK
      sniHost: localhost
      expose: true
      anycastPrefix: jms.queue.
      multicastPrefix: /topic/
  connectors:
    - name: connector0
      host: localhost
      port: 22222
      sslEnabled: false
      enabledProtocols: TLSv1,TLSv1.1,TLSv1.2
      needClientAuth: true
      wantClientAuth: true
      verifyHost: true
      sslProvider: JDK
      sniHost: localhost
      expose: true
  upgrades:
      enabled: false
      minor: false
  addressSettings:
    applyRule: merge_all
    addressSetting:
    - match: "#"
      autoCreateAddresses: false
      autoCreateQueues: false
      autoCreateJmsQueues: false
      autoCreateJmsTopics: false
    - match: autoCreateAddressesTrue
      autoCreateAddresses: true
    - match: autoCreateAddressesFalse
      autoCreateAddresses: false
    - match: autoCreateQueuesTrue
      autoCreateQueues: true
    - match: autoCreateQueuesFalse
      autoCreateQueues: false
    - match: autoCreateJmsQueuesTrue
      autoCreateJmsQueues: true
    - match: autoCreateJmsQueuesFalse
      autoCreateJmsQueues: false
    - match: autoCreateJmsTopicsTrue
      autoCreateJmsTopics: true
    - match: autoCreateJmsTopicsFalse
      autoCreateJmsTopics: false
